Libgnome2 in GMAMEUI-0.2

Help
flipeicl
2008-05-05
2013-04-30
  • flipeicl
    flipeicl
    2008-05-05

    I don't use gnome in my debian, but in the new release, have the dependencie, what I do to install gmameui without libgnome, using only gtk2 libraries. Libgnome dependencie sucks me!

     
    • Andrew Burton
      Andrew Burton
      2008-05-05

      I will be removing it for the next release. In the meantime, you can comment it out of the configure.ac:

      dnl PKG_CHECK_MODULES(GNOME, libgnome-2.0, [], AC_MSG_ERROR([*** libgnome2 not found!]))
      dnl AC_SUBST(GNOME_CFLAGS)
      dnl AC_SUBST(GNOME_LIBS)

      and src/Makefile.am

      AM_CPPFLAGS = $(GTK_CFLAGS) $(GLADE2_CFLAGS) \

      Then run:

      autoreconf && ./configure && make

      libgnome is not actually required to support any of the code. Sorry about that.

       
    • flipeicl
      flipeicl
      2008-05-05

      I do this, comment this line in this files, but not work... I get this error.

      make
      Makefile:824: *** missing separator.  Stop.

       
      • Andrew Burton
        Andrew Burton
        2008-05-06

        Try running automake after autoreconf, or delete src/Makefile and src/Makefile.in

         
    • flipeicl
      flipeicl
      2008-05-06

      sorry, I try all, but I get the same error.

      thanks.